aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/Makefile.am2
-rw-r--r--test/data/ical-007.ical13
-rwxr-xr-xtest/ical-007.sh24
3 files changed, 39 insertions, 0 deletions
diff --git a/test/Makefile.am b/test/Makefile.am
index fe205a2..efc3d12 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -48,6 +48,7 @@ TESTS = \
ical-004.sh \
ical-005.sh \
ical-006.sh \
+ ical-007.sh \
next-001.sh \
search-001.sh \
bug-002.sh \
@@ -111,4 +112,5 @@ EXTRA_DIST = \
data/ical-004.ical \
data/ical-005.ical \
data/ical-006.ical \
+ data/ical-007.ical \
data/todo
diff --git a/test/data/ical-007.ical b/test/data/ical-007.ical
new file mode 100644
index 0000000..e46c3fb
--- /dev/null
+++ b/test/data/ical-007.ical
@@ -0,0 +1,13 @@
+BEGIN:VCALENDAR
+VERSION:2.0
+BEGIN:VEVENT
+SUMMARY:Local time
+DTSTART:20150223T110000
+DURATION:PT1H
+END:VEVENT
+BEGIN:VEVENT
+SUMMARY:UTC
+DTSTART:20150223T110000Z
+DURATION:PT1H
+END:VEVENT
+END:VCALENDAR
diff --git a/test/ical-007.sh b/test/ical-007.sh
new file mode 100755
index 0000000..8f0f472
--- /dev/null
+++ b/test/ical-007.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+. "${TEST_INIT:-./test-init.sh}"
+
+if [ "$1" = 'actual' ]; then
+ mkdir .calcurse || exit 1
+ cp "$DATA_DIR/conf" .calcurse || exit 1
+ TZ="America/New_York" "$CALCURSE" -D "$PWD/.calcurse" \
+ -i "$DATA_DIR/ical-007.ical"
+ "$CALCURSE" -D "$PWD/.calcurse" -s2015-02-23
+ rm -rf .calcurse || exit 1
+elif [ "$1" = 'expected' ]; then
+ cat <<EOD
+Import process report: 0018 lines read
+2 apps / 0 events / 0 todos / 0 skipped
+02/23/15:
+ - 06:00 -> 07:00
+ UTC
+ - 11:00 -> 12:00
+ Local time
+EOD
+else
+ ./run-test "$0"
+fi